%define stax2_version 2.1
%define with_repolib 1
%define repodir %{_javadir}/repository.jboss.com/woodstox/%{version}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

Name:          wstx
Version:       3.2.8
Release:       %mkrel 3
Summary:       Woodstox Stax Implementation
Group:         Development/Java
License:       ASL, LGPL
Url:           http://woodstox.codehaus.org/
Source0:       http://woodstox.codehaus.org/%{version}/wstx-src-%{version}.tar.gz
Source1:       http://repository.codehaus.org/org/codehaus/woodstox/wstx-asl/%{version}/wstx-asl-%{version}.pom
Source2:       http://repository.codehaus.org/org/codehaus/woodstox/wstx-lgpl/%{version}/wstx-lgpl-%{version}.pom
Source3:       wstx-component-info.xml
BuildRequires: ant
BuildRequires: ant-nodeps
BuildRequires: ant-apache-bcel
BuildRequires: ant-junit
BuildRequires: ant-trax
BuildRequires: bcel
BuildRequires: emma
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: msv-msv
BuildRequires: msv-xsdlib
BuildRequires: sax2
Requires:      bea-stax-api
Requires:      jpackage-utils
Requires:      msv-msv
Requires:      msv-xsdlib
BuildArch:     noarch

%description
Woodstox is a high-performance validating namespace-aware
StAX-compliant (JSR-173) Open Source XML-processor written
in Java.

%package j2me
Group:         Development/Java
Summary:       J2ME libraries for %{name}

%description j2me
Woodstox is a high-performance validating namespace-aware
StAX-compliant (JSR-173) Open Source XML-processor written
in Java.

This package contains J2ME libraries for %{name}

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Woodstox is a high-performance validating namespace-aware
StAX-compliant (JSR-173) Open Source XML-processor written
in Java.

This package contains javadoc for %{name}

%package manual
Group:         Development/Java
Summary:       Documents for %{name}
Requires:      %{name} = %{version}-%{release} 

%description manual
Woodstox is a high-performance validating namespace-aware
StAX-compliant (JSR-173) Open Source XML-processor written
in Java.

This package contains %{name} documentation.

%if %with_repolib
%package repolib
Group:         Development/Java
Summary:       Artifacts to be uploaded to a repository library

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -c -n wstx

pushd release-notes
  for d in CREDITS VERSION ; do
    iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
    sed -i 's/\r//' $d
  done
popd

sed -i 's|<import file="build-maven-deploy.xml" />||g' build.xml

for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
for j in $(find . -name "*.class"); do
   rm -f $j
done

pushd lib
  pushd msv
    ln -sf $(build-classpath msv-msv) msv.jar
    ln -sf $(build-classpath msv-xsdlib) xsdlib.jar
    ln -sf $(build-classpath relaxngDatatype) .
  popd
  ln -sf $(build-classpath emma) .
  ln -sf $(build-classpath emma_ant) .
  ln -sf $(build-classpath bea-stax-api) stax-api-1.0.1.jar
  ln -sf $(build-classpath sax2) sax2.jar
popd

%build

export CLASSPATH=$(build-classpath ant bcel ant/ant-apache-bcel ant/ant-trax junit ant/ant-junit)
ant -Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 jars jars.j2me javadoc test staxtest

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/wstx

install -m 644 build/stax2-%{stax2_version}.jar \
  %{buildroot}%{_javadir}/wstx/stax2-%{version}.jar
install -m 644 build/wstx-api-%{version}.jar \
  %{buildroot}%{_javadir}/wstx/wstx-api-%{version}.jar
install -m 644 build/wstx-asl-%{version}.jar \
  %{buildroot}%{_javadir}/wstx/wstx-asl-%{version}.jar
install -m 644 build/wstx-lgpl-%{version}.jar \
  %{buildroot}%{_javadir}/wstx/wstx-lgpl-%{version}.jar
install -m 644 build/wstx-j2me-min-both.jar \
  %{buildroot}%{_javadir}/wstx/wstx-j2me-min-both-%{version}.jar
install -m 644 build/wstx-j2me-min-input.jar \
  %{buildroot}%{_javadir}/wstx/wstx-j2me-min-input-%{version}.jar
install -m 644 build/wstx-j2me-min-output.jar \
  %{buildroot}%{_javadir}/wstx/wstx-j2me-min-output-%{version}.jar

%add_to_maven_depmap org.codehaus.woodstox stax2 %{version} JPP/wstx stax2
%add_to_maven_depmap org.codehaus.woodstox wstx-api %{version} JPP/wstx wstx-api
%add_to_maven_depmap org.codehaus.woodstox wstx-asl %{version} JPP/wstx wstx-asl
%add_to_maven_depmap org.codehaus.woodstox wstx-lgpl %{version} JPP/wstx wstx-lgpl
%add_to_maven_depmap org.codehaus.woodstox wstx-j2me-min-both %{version} JPP/wstx wstx-j2me-min-both
%add_to_maven_depmap org.codehaus.woodstox wstx-j2me-min-input %{version} JPP/wstx wstx-j2me-min-input
%add_to_maven_depmap org.codehaus.woodstox wstx-j2me-min-output %{version} JPP/wstx wstx-j2me-min-output

mkdir -p %{buildroot}%{_mavenpomdir}
install -p -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP.wstx-wstx-asl.pom
install -p -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP.wstx-wstx-lgpl.pom

(
  cd %{buildroot}%{_javadir}/wstx
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/wstx-%{version}
cp -pr build/javadoc/* %{buildroot}%{_javadocdir}/wstx-%{version}
ln -s wstx-%{version} %{buildroot}%{_javadocdir}/wstx

%if %with_repolib
mkdir -p %{buildroot}%{repodir}
mkdir -p %{buildroot}%{repodirlib}
install -pm 0644 %{SOURCE3} %{buildroot}%{repodir}/component-info.xml
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{buildroot}%{repodir}/component-info.xml
sed -i "s/@VERSION@/%{version}-brew/g" %{buildroot}%{repodir}/component-info.xml
mkdir -p %{buildroot}%{repodirsrc}
install -pm 0644 %{SOURCE0} %{buildroot}%{repodirsrc}
cp -p %{buildroot}%{_javadir}/%{name}/wstx-lgpl.jar %{buildroot}%{repodirlib}/wstx.jar
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/wstx/stax2-%{version}.jar
%{_javadir}/wstx/stax2.jar
%{_javadir}/wstx/wstx-api-%{version}.jar
%{_javadir}/wstx/wstx-api.jar
%{_javadir}/wstx/wstx-asl-%{version}.jar
%{_javadir}/wstx/wstx-asl.jar
%{_javadir}/wstx/wstx-lgpl-%{version}.jar
%{_javadir}/wstx/wstx-lgpl.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files j2me
%{_javadir}/wstx/wstx-j2me-min-both-%{version}.jar
%{_javadir}/wstx/wstx-j2me-min-both.jar
%{_javadir}/wstx/wstx-j2me-min-input-%{version}.jar
%{_javadir}/wstx/wstx-j2me-min-input.jar
%{_javadir}/wstx/wstx-j2me-min-output-%{version}.jar
%{_javadir}/wstx/wstx-j2me-min-output.jar

%files javadoc
%{_javadocdir}/wstx-%{version}
%{_javadocdir}/wstx

%files manual
%doc release-notes

%if %with_repolib
%files repolib
%{repodir}
%endif



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.2.8-3.mga3
+ Revision: 385883
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 dmorgan <dmorgan> 3.2.8-2.mga3
+ Revision: 341212
- Rebuild to generate mvn() provides
- Clean spec file

* Sun Jul 03 2011 dmorgan <dmorgan> 3.2.8-1.mga2
+ Revision: 117811
- Review spec file

  + gil <gil>
    - imported package wstx

